Package fr.gouv.vitam.common.model.objectgroup

# Class DbObjectGroupModel

java.lang.Object
fr.gouv.vitam.common.model.objectgroup.DbObjectGroupModel

public class DbObjectGroupModel extends Object
ObjectGroupInternalModel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DbObjectGroupModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DbFileInfoModel`
  `getFileInfo()`
  `String`
  `getId()`
  `int`
  `getNbc()`
  `String`
  `getOpi()`
  `List<String>`
  `getOps()`
  `List<String>`
  `getOriginatingAgencies()`
  `String`
  `getOriginatingAgency()`
  `List<DbQualifiersModel>`
  `getQualifiers()`
  `int`
  `getTenant()`
  `List<String>`
  `getUp()`
  `List<ValidationError>`
  `getValidationErrors()`
  `void`
  `setFileInfo(DbFileInfoModel fileInfo)`
  `void`
  `setId(String id)`
  `void`
  `setNbc(int nbc)`
  `void`
  `setOpi(String opi)`
  `void`
  `setOps(List<String> ops)`
  `void`
  `setOriginatingAgencies(List<String> originatingAgencies)`
  `void`
  `setOriginatingAgency(String originatingAgency)`
  `void`
  `setQualifiers(List<DbQualifiersModel> qualifiers)`
  `void`
  `setTenant(int tenant)`
  `void`
  `setUp(List<String> up)`
  `DbObjectGroupModel`
  `setValidationErrors(List<ValidationError> validationErrors)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DbObjectGroupModel

    public DbObjectGroupModel()

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` -

  - ### getTenant

    public int getTenant()
    Returns:
      tenant

  - ### setTenant

    public void setTenant(int tenant)
    Parameters:
      `tenant` -

  - ### getUp

    public List<String> getUp()
    Returns:
      up

  - ### setUp

    public void setUp(List<String> up)
    Parameters:
      `up` -

  - ### getNbc

    public int getNbc()
    Returns:
      nbc

  - ### setNbc

    public void setNbc(int nbc)
    Parameters:
      `nbc` -

  - ### getOps

    public List<String> getOps()
    Returns:
      ops

  - ### setOps

    public void setOps(List<String> ops)
    Parameters:
      `ops` -

  - ### getOpi

    public String getOpi()
    Returns:
      opi

  - ### setOpi

    public void setOpi(String opi)
    Parameters:
      `opi` -

  - ### getOriginatingAgency

    public String getOriginatingAgency()
    Returns:
      originatingAgency

  - ### setOriginatingAgency

    public void setOriginatingAgency(String originatingAgency)
    Parameters:
      `originatingAgency` -

  - ### getOriginatingAgencies

    public List<String> getOriginatingAgencies()

  - ### setOriginatingAgencies

    public void setOriginatingAgencies(List<String> originatingAgencies)

  - ### getFileInfo

    public DbFileInfoModel getFileInfo()
    Returns:
      fileInfo

  - ### setFileInfo

    public void setFileInfo(DbFileInfoModel fileInfo)
    Parameters:
      `fileInfo` -

  - ### getQualifiers

    public List<DbQualifiersModel> getQualifiers()

  - ### setQualifiers

    public void setQualifiers(List<DbQualifiersModel> qualifiers)

  - ### getValidationErrors

    public List<ValidationError> getValidationErrors()

  - ### setValidationErrors

    public DbObjectGroupModel setValidationErrors(List<ValidationError> validationErrors)